#include <avr/io.h>
#include <avr/interrupt.h>
#include "sw_uart.h"
#include "lcd.h"

extern volatile uint8_t softwareUartInputData;
extern volatile uint8_t softwareUartNewData;

int main(void) {
	initSoftwareUart();
	lcdInit();
	sei();
	softwareUartSendString("Elektronika\r\n");
	while (1) {
		if (softwareUartNewData) {
			softwareUartNewData = 0;
			lcdWriteData(softwareUartInputData);
		}
	}
}
